<?php 

$prs = xml_parser_create("UTF-8");

xml_set_element_handler($prs, "startElement", "endElement");
xml_set_character_data_handler($prs, "characterData");

   $isChannel = false;
   $isPrint = false;
   $isItemTitle = false;
   $title = "";

$fp= fopen("Sample.rdf", "r");
while($data = fgets($fp, 10000)){
   xml_parse($prs, $data, feof($fp));
}
xml_parser_free($prs);


function startElement($prs, $name, $attribute)
{
   global $isChannel;
   global $isPrint;
   global $isItemTitle;
   global $title;

   if($name == "RDF:RDF"){
      print "<html>";
   }
   elseif($name == "CHANNEL"){
      $isChannel = true;
   }
   elseif($name == "ITEM"){
      print "<p>";               
   }
   elseif($name == "TITLE"){
      if($isChannel == true){
         $isPrint = true;
         print "<center>";
         print "<h1>";               
      }
      else{
         $isItemTitle = true;
         print "<h3>";
         print "<a href=\"";
      }               
   }
   elseif($name == "LINK"){
      if($isChannel == false){
         $isPrint = true;
      } 
   }
   elseif($name== "DESCRIPTION"){
      $isPrint = true;
      if($isChannel == true){
         print "<center>";               
      }
   }
}
function endElement($prs, $name)
{
   global $isChannel;
   global $isPrint;
   global $isItemTitle;
   global $title;

   if($name == "RDF:RDF"){
      print "</html>";
   }
   elseif($name == "CHANNEL"){
      $isChannel = false;
   }
   elseif($name == "TITLE"){
      if($isChannel == true){
         print "</h1>";               
         print "</center>";
      }
      else{
         $isItemTitle = false;
      }               
      $isPrint = false;
   }
   elseif($name == "LINK"){
      if($isChannel == false){
         print "\">";
         print $title;
         print "</a>";
         print "</h3>";               
         $isPrint = false;
      }
   } 
   elseif($name == "DESCRIPTION"){
      if($isChannel == true){
         print "<br/><hr/>";
         print "</center>";               
      }
      $isPrint = false;
   }
}
function characterData($prs, $data)
{
   global $isChannel;
   global $isPrint;
   global $isItemTitle;
   global $title;

   $data = iconv("UTF-8", "SJIS", $data);
   if($isPrint == true){
         print $data;
   }
   else if($isItemTitle == true){
         $title = $data;
   }      
}

?>
